<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::capabilityAgents::alerts::renderer::RendererObserverInterface Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents.html">capabilityAgents</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts.html">alerts</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1renderer.html">renderer</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1renderer_1_1_renderer_observer_interface.html">RendererObserverInterface</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1renderer_1_1_renderer_observer_interface-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::capabilityAgents::alerts::renderer::RendererObserverInterface Class Reference<span class="mlabels"><span class="mlabel">abstract</span></span></div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_renderer_observer_interface_8h_source.html">RendererObserverInterface.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for alexaClientSDK::capabilityAgents::alerts::renderer::RendererObserverInterface:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1renderer_1_1_renderer_observer_interface__inherit__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1renderer_1_1_renderer_observer_interface_inherit__map" alt="Inheritance graph"/></div>
<map name="alexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1renderer_1_1_renderer_observer_interface_inherit__map" id="alexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1renderer_1_1_renderer_observer_interface_inherit__map">
<area shape="rect" id="node2" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html" title="alexaClientSDK::capability\lAgents::alerts::Alert" alt="" coords="255,131,433,169"/>
<area shape="rect" id="node8" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1renderer_1_1test_1_1_mock_renderer_observer.html" title="alexaClientSDK::capability\lAgents::alerts::renderer\l::test::MockRendererObserver" alt="" coords="244,193,444,245"/>
<area shape="rect" id="node3" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alarm.html" title="alexaClientSDK::capability\lAgents::alerts::Alarm" alt="" coords="503,5,680,44"/>
<area shape="rect" id="node4" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_reminder.html" title="alexaClientSDK::capability\lAgents::alerts::Reminder" alt="" coords="503,68,680,107"/>
<area shape="rect" id="node5" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1test_1_1_mock_alert.html" title="alexaClientSDK::capability\lAgents::alerts::test::MockAlert" alt="" coords="492,131,691,169"/>
<area shape="rect" id="node6" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1test_1_1_test_alert.html" title="alexaClientSDK::capability\lAgents::alerts::test::TestAlert" alt="" coords="496,193,687,232"/>
<area shape="rect" id="node7" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_timer.html" title="alexaClientSDK::capability\lAgents::alerts::Timer" alt="" coords="503,256,680,295"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:a5e16fd254735c5defa36b6c7020ba1ab"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1renderer_1_1_renderer_observer_interface.html#a5e16fd254735c5defa36b6c7020ba1ab">State</a> { <br />
&#160;&#160;<a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1renderer_1_1_renderer_observer_interface.html#a5e16fd254735c5defa36b6c7020ba1aba666a87025ab0d8965e221050c8948001">State::UNSET</a>, 
<a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1renderer_1_1_renderer_observer_interface.html#a5e16fd254735c5defa36b6c7020ba1aba17130e6c806885e23770df1519b18eb7">State::STARTED</a>, 
<a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1renderer_1_1_renderer_observer_interface.html#a5e16fd254735c5defa36b6c7020ba1aba09d4d696b4e935115b9313e3c412509a">State::STOPPED</a>, 
<a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1renderer_1_1_renderer_observer_interface.html#a5e16fd254735c5defa36b6c7020ba1aba8f7afecbc8fbc4cd0f50a57d1172482e">State::COMPLETED</a>, 
<br />
&#160;&#160;<a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1renderer_1_1_renderer_observer_interface.html#a5e16fd254735c5defa36b6c7020ba1ababb1ca97ec761fc37101737ba0aa2e7c5">State::ERROR</a>
<br />
 }</td></tr>
<tr class="separator:a5e16fd254735c5defa36b6c7020ba1ab"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a4a8b35275e648190dd7a49a94f2b31f1"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1renderer_1_1_renderer_observer_interface.html#a4a8b35275e648190dd7a49a94f2b31f1">~RendererObserverInterface</a> ()=default</td></tr>
<tr class="separator:a4a8b35275e648190dd7a49a94f2b31f1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa930d875ddac0dacf0dd75d1af63d809"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1renderer_1_1_renderer_observer_interface.html#aa930d875ddac0dacf0dd75d1af63d809">onRendererStateChange</a> (<a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1renderer_1_1_renderer_observer_interface.html#a5e16fd254735c5defa36b6c7020ba1ab">State</a> state, const std::string &amp;reason=&quot;&quot;)=0</td></tr>
<tr class="separator:aa930d875ddac0dacf0dd75d1af63d809"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:a1c173605e1102ce062e5111d6e78e11d"><td class="memItemLeft" align="right" valign="top">static std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1renderer_1_1_renderer_observer_interface.html#a1c173605e1102ce062e5111d6e78e11d">stateToString</a> (<a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1renderer_1_1_renderer_observer_interface.html#a5e16fd254735c5defa36b6c7020ba1ab">State</a> state)</td></tr>
<tr class="separator:a1c173605e1102ce062e5111d6e78e11d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p class="">An interface class which specifies an observer to an <code><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html">Alert</a></code> renderer. </p>
</div><h2 class="groupheader">Member Enumeration Documentation</h2>
<a id="a5e16fd254735c5defa36b6c7020ba1ab"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5e16fd254735c5defa36b6c7020ba1ab">&#9670;&nbsp;</a></span>State</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1renderer_1_1_renderer_observer_interface.html#a5e16fd254735c5defa36b6c7020ba1ab">alexaClientSDK::capabilityAgents::alerts::renderer::RendererObserverInterface::State</a></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">strong</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">The states which a <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1renderer_1_1_renderer.html">Renderer</a> may be in. </p>
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a id="a5e16fd254735c5defa36b6c7020ba1aba666a87025ab0d8965e221050c8948001"></a>UNSET&#160;</td><td class="fielddoc"><p class="">An uninitialized value. </p>
</td></tr>
<tr><td class="fieldname"><a id="a5e16fd254735c5defa36b6c7020ba1aba17130e6c806885e23770df1519b18eb7"></a>STARTED&#160;</td><td class="fielddoc"><p class="">The renderer has started rendering. </p>
</td></tr>
<tr><td class="fieldname"><a id="a5e16fd254735c5defa36b6c7020ba1aba09d4d696b4e935115b9313e3c412509a"></a>STOPPED&#160;</td><td class="fielddoc"><p class="">The renderer has stopped rendering due to being stopped via a direct api call. </p>
</td></tr>
<tr><td class="fieldname"><a id="a5e16fd254735c5defa36b6c7020ba1aba8f7afecbc8fbc4cd0f50a57d1172482e"></a>COMPLETED&#160;</td><td class="fielddoc"><p class="">The renderer has completed rendering, if the renderer was initiated with a finite loop count. </p>
</td></tr>
<tr><td class="fieldname"><a id="a5e16fd254735c5defa36b6c7020ba1ababb1ca97ec761fc37101737ba0aa2e7c5"></a>ERROR&#160;</td><td class="fielddoc"><p class="">The renderer has encountered an error. </p>
</td></tr>
</table>

</div>
</div>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a4a8b35275e648190dd7a49a94f2b31f1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4a8b35275e648190dd7a49a94f2b31f1">&#9670;&nbsp;</a></span>~RendererObserverInterface()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual alexaClientSDK::capabilityAgents::alerts::renderer::RendererObserverInterface::~RendererObserverInterface </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span><span class="mlabel">default</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Destructor. </p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="aa930d875ddac0dacf0dd75d1af63d809"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa930d875ddac0dacf0dd75d1af63d809">&#9670;&nbsp;</a></span>onRendererStateChange()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void alexaClientSDK::capabilityAgents::alerts::renderer::RendererObserverInterface::onRendererStateChange </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1renderer_1_1_renderer_observer_interface.html#a5e16fd254735c5defa36b6c7020ba1ab">State</a>&#160;</td>
          <td class="paramname"><em>state</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>reason</em> = <code>&quot;&quot;</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">A callback function to communicate a change in render state.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">state</td><td>The current state of the renderer. </td></tr>
    <tr><td class="paramname">reason</td><td>The reason for the change of state, if required. This is typically set on an error. </td></tr>
  </table>
  </dd>
</dl>

<p>Implemented in <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html#a8946fab32789fd5da299047c949938a7">alexaClientSDK::capabilityAgents::alerts::Alert</a>, and <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1renderer_1_1test_1_1_mock_renderer_observer.html#a6012bbc96f04ed8e6a47171041dcdbec">alexaClientSDK::capabilityAgents::alerts::renderer::test::MockRendererObserver</a>.</p>

</div>
</div>
<a id="a1c173605e1102ce062e5111d6e78e11d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1c173605e1102ce062e5111d6e78e11d">&#9670;&nbsp;</a></span>stateToString()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::string alexaClientSDK::capabilityAgents::alerts::renderer::RendererObserverInterface::stateToString </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1renderer_1_1_renderer_observer_interface.html#a5e16fd254735c5defa36b6c7020ba1ab">State</a>&#160;</td>
          <td class="paramname"><em>state</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Convert a <code>State</code> to a <code>std::string</code>.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">state</td><td>The <code>State</code> to convert. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The string representation of <code>state</code>. </dd></dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/workplace/avs-device-sdk/CapabilityAgents/Alerts/include/Alerts/Renderer/<a class="el" href="_renderer_observer_interface_8h_source.html">RendererObserverInterface.h</a></li>
</ul>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
